curl --request POST \
--url https://storage.{region}.basaltic.sh/v1/volumes/{volume_id}/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_size_gb": 200
}
'import requests
url = "https://storage.{region}.basaltic.sh/v1/volumes/{volume_id}/extend"
payload = { "new_size_gb": 200 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_size_gb: 200})
};
fetch('https://storage.{region}.basaltic.sh/v1/volumes/{volume_id}/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"volume": {
"faults": [
{
"code": "BACKUP_FAILED",
"severity": "error",
"message": "Backup upload failed.",
"details": {},
"first_at": "2023-11-07T05:31:56Z",
"last_at": "2023-11-07T05:31:56Z",
"occurrences": 1
}
],
"id": "5f8d2c1a-9b3e-4d7a-8c6f-1e2a3b4c5d6e",
"crn": "crn:storage:sa-saopaulo-1:my-account:volume/data-volume-01",
"name": "data-vol-01",
"description": "Primary data volume for app-01",
"tags": {
"environment": "production",
"team": "backend"
},
"volume_type": "ssd",
"size_gb": 100,
"performance": {
"requested": {
"iops": 3000,
"bytes_per_sec": 131072000,
"burst_iops": 0,
"burst_bytes_per_sec": 0,
"burst_seconds": 0
},
"applied": {
"iops": 3000,
"bytes_per_sec": 131072000,
"burst_iops": 0,
"burst_bytes_per_sec": 0,
"burst_seconds": 0
},
"state": "creating",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applied_at": "2023-11-07T05:31:56Z",
"last_error": "<string>"
},
"included_io_limits": {
"iops": 3000,
"bytes_per_sec": 131072000,
"burst_iops": 0,
"burst_bytes_per_sec": 0,
"burst_seconds": 0
},
"status": "available",
"bootable": false,
"source_image_id": "a3c9e7b1-2d4f-4a6b-8e1c-9f0a1b2c3d4e",
"source_snapshot_id": "019f24a8-4bbe-7441-93af-6bbac0413943",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:31:12Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Expandir volume
Aumentar um volume em available ou in_use, incluindo um volume de inicialização anexado. A solicitação retorna extending; poll GET até que o volume retorne para available (desconectado) ou in_use (conectado) no novo tamanho. Os dispositivos conectados são atualizados antes da conclusão, com a instância em execução ou parada. Redimensionar e atualizar falhas retentar enquanto o volume permanece protegido em extending. O novo tamanho deve ser maior do que o tamanho atual e no máximo 16384 GB. O cliente deve aumentar a partição convidada e o sistema de arquivos separadamente.
storage:ExtendVolume. Consulte permissões de armazenamento para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Cabeçalhos
Chave opcional gerada pelo cliente que torna uma criação segura para reprodução. A reintentar uma solicitação com a mesma chave retorna o resultado original literalmente em vez de criar um recurso duplicado. A reutilização de uma chave com um corpo de solicitação diferente é rejeitada (422); uma solicitação cuja chave ainda está sendo processada retorna 409. Os registros são honrados por 24 horas. Use um UUID ou token exclusivo semelhante.
255Parâmetros de caminho
ID do volume
Corpo
Novo tamanho em GB. Deve ser estritamente maior que o tamanho atual.
1 <= x <= 16384200
Resposta
Volume expandido aceito (status=extending)
Show child attributes
Show child attributes

